> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an evaluation run



## OpenAPI

````yaml delete /runs/{run_id}
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /runs/{run_id}:
    delete:
      tags:
        - Runs
      summary: Delete an evaluation run
      operationId: deleteRun
      parameters:
        - in: path
          name: run_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteRunResponse'
        '400':
          description: Error deleting evaluation
      x-codeSamples:
        - lang: python
          label: deleteRun
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.runs.delete_run(run_id='<value>')

            if res.delete_run_response is not None:
                # handle response
                pass
        - lang: typescript
          label: deleteRun
          source: |-
            import { HoneyHive } from "honeyhive";
            import { DeleteRunRequest } from "honeyhive/dist/models/operations";

            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const runId: string = "<value>";

              const res = await sdk.runs.deleteRun(runId);

              if (res.statusCode == 200) {
                // handle response
              }
            }

            run();
components:
  schemas:
    DeleteRunResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUIDType'
        deleted:
          type: boolean
    UUIDType:
      type: string
      format: uuid
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````